V 2.1.3.1 Errors when running console core:archive via cron


#1

I’m running v 2.1.3.1 on freeBSD 10.1 with php 5.4. I just migrated to a new server to get updated from php 5.3. I did a fresh piwik install. I normally run console core:archive every hour. Since going to the new server, I get the following block of errors:

PHP Warning: PHP Startup: Unable to load dynamic library ‘/usr/local/lib/php/20100525/sqlite.so’ - Cannot open “/usr/local/lib/php/20100525/sqlite.so” in Unknown on line 0
PHP Warning: PHP Startup: Unable to load dynamic library ‘/usr/local/lib/php/20100525/geoip.so’ - Cannot open “/usr/local/lib/php/20100525/geoip.so” in Unknown on line 0
PHP Warning: Module ‘sqlite3’ already loaded in Unknown on line 0
ERROR [2015-05-20 20:35:09] The Piwik URL https:/xxx/piwik/index.php does not seem to be pointing to a Piwik server. Response was 'PHP Warning: PHP Startup: Unable to load dynamic library ‘/usr/local/lib/php/20100525/sqlite.so’ - Cannot open “/usr/local/lib/php/20100525/sqlite.so” in Unknown on line 0 PHP Warning: PHP Startup: Unable to load dynamic library ‘/usr/local/lib/php/20100525/geoip.so’ - Cannot open “/usr/local/lib/php/20100525/geoip.so” in Unknown on line 0 PHP Warning: Module ‘sqlite3’ already loaded in Unknown on line 0 Warning: PHP Startup: Unable to load dynamic library ‘/usr/local/lib/php/20100525/sqlite.so’ - Cannot open “/usr/local/lib/php/20100525/sqlite.so” in Unknown on line 0 Warning: PHP Startup: Unable to load dynamic library ‘/usr/local/lib/php/20100525/geoip.so’ - Cannot open “/usr/local/lib/php/20100525/geoip.so” in Unknown on line 0 Warning: Module ‘sqlite3’ already loaded in Unknown on line 0

PHP V 5.4 has the extension sqlite3, not sqlite. There is no php extension for geoip.

Can you help?


#2

I posted this a month ago. My version of php (5.41) does not have sqlite lib. It has sqlite3. There is no sqlite. I can’t run the cron job to archive. Please…am I alone with this issue?